Summary:       Core execution tool for unprivileged containers
Name:          bubblewrap
Version:       0.5.0
Release:       3%{?dist}
License:       LGPLv2+
URL:           https://github.com/projectatomic/bubblewrap
Source0:       https://github.com/projectatomic/bubblewrap/releases/download/v%{version}/bubblewrap-%{version}.tar.xz

BuildRequires: autoconf automake libtool gcc libcap-devel
BuildRequires: libxslt docbook-style-xsl make
BuildRequires: pkgconfig(libselinux)

%description
This package provides a core execution engine for unprivileged containers that
works as a setuid binary on kernels without user namespaces.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-silent-rules --with-priv-mode=none
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete -print

%files
%license COPYING
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/bwrap
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_bwrap
%{_bindir}/bwrap
%{_mandir}/man1/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Shuo Wang <abushwang@tencent.com> - 0.5.0-1
- initial build

